<?php
// This line protects the file from being accessed by a URL directly
defined('MOODLE_INTERNAL') || die();

$THEME->layouts = [
    // Main course page.
    'course' => array(
        'file' => 'columns2.php',
        'regions' => array('side-pre'),
        'defaultregion' => 'side-pre',
    ),
    'coursecategory' => array(
        'file' => 'columns2.php',
        'regions' => array('side-pre'),
        'defaultregion' => 'side-pre',
    ),
    // My dashboard page.
    'mydashboard' => array(
        'file' => 'columns2.php',
        'regions' => array('side-pre'),
        'defaultregion' => 'side-pre',
    ),
    // Part of course, typical for modules - default page layout if $cm specified in require_login().
    'incourse' => array(
        'file' => 'columns3.php',
        'regions' => array('side-pre', 'side-left'),
        'defaultregion' => 'side-pre',
    ),
];

// Theme name
$THEME->name = 'unige';

// Inherit from parent theme
$THEME->parents = ['boost'];

// Show theme in theme selector
$THEME->hidefromselector = false;

// CSS sheets
$THEME->sheets = [];

// TinyMCE editor stylesheet
$THEME->editor_sheets = [];

// Pre and extra SCSS
$THEME->prescsscallback = 'theme_unige_get_pre_scss';
$THEME->extrascsscallback = 'theme_unige_scss_get_extra_scss';

// A dock is a way to take blocks out of the page and put them in a persistent floating area on the side of the page
$THEME->enable_dock = false;

// Setting used to load specific CSS for some YUI JS
$THEME->yuicssmodules = array();

// The renderer factory, allows the theme to override any other renderer
$THEME->rendererfactory = 'theme_overridden_renderer_factory';

// List of blocks that are required to exist on all pages for this theme to function correctly
$THEME->requiredblocks = '';

// This is a feature that tells the blocks library not to use the "Add a block" block
$THEME->addblockposition = BLOCK_ADDBLOCK_POSITION_FLATNAV;
