<?php

defined('MOODLE_INTERNAL') || die();

if ($ADMIN->fulltree) {
    $settings = new theme_boost_admin_settingspage_tabs('themesettingunige', get_string('settingstitle', 'theme_unige'));
    $page = new admin_settingpage('theme_unige_general', get_string('generalsettings', 'theme_unige'));

    // Variable $body-color.
    // We use an empty default value because the default colour should come from the preset.
    $name = 'theme_unige/brandcolor';
    $title = get_string('brandcolor', 'theme_unige');
    $description = get_string('brandcolor_desc', 'theme_unige');
    $setting = new admin_setting_configcolourpicker($name, $title, $description, '');
    $setting->set_updatedcallback('theme_reset_all_caches');
    $page->add($setting);

    $settings->add($page);

    // Navbar
    $page = new admin_settingpage('theme_unige_header', get_string('navbar', 'theme_unige'));

    // Navigation menu links
    $name = 'theme_unige/navigation_menu';
    $title = get_string('navigationmenu', 'theme_unige');
    $description = get_string('navigationmenu_desc', 'theme_unige');
    $default = "/my;
    /course;";
    $setting = new admin_setting_configtextarea($name, $title, $description, $default);
    $setting->set_updatedcallback('theme_reset_all_caches');
    $page->add($setting);

    // Redirection menu links
    $name = 'theme_unige/redirection_menu';
    $title = get_string('redirectionmenu', 'theme_unige');
    $description = get_string('redirectionmenu_desc', 'theme_unige');;
    $default = "https://moodle.unige.ch/;
        https://mediaserver.unige.ch/;
        https://portfolio.unige.ch/;
        https://outlook.unige.ch/;
        https://portail.unige.ch/;
        https://www.unige.ch/dife/enseigner-apprendre/soutien-apprentissage/;";
    $setting = new admin_setting_configtextarea($name, $title, $description, $default);
    $setting->set_updatedcallback('theme_reset_all_caches');
    $page->add($setting);

    $settings->add($page);

    // Footer
    $page = new admin_settingpage('theme_unige_footer', get_string('footer', 'theme_unige'));

    // Column left links
    $name = 'theme_unige/footer_column_left';
    $title = get_string('footercolumnleft', 'theme_unige');
    $description = get_string('footercolumnleft_desc', 'theme_unige');
    $default = "https://moodle.unige.ch/pluginfile.php/32140/block_html/content/guide_etu_moodle_201617.pdf;
        https://moodle.unige.ch/pluginfile.php/32140/block_html/content/guide_etu_moodle_en_201617.pdf;
        https://elearning.unige.ch/ressources/plateformes/moodle/fichesinteractives/;
        https://plone.unige.ch/distic/pub/cad/;";
    $setting = new admin_setting_configtextarea($name, $title, $description, $default);
    $setting->set_updatedcallback('theme_reset_all_caches');
    $page->add($setting);

    // Column middle display
    $name = 'theme_unige/footer_column_middle_display';
    $title = get_string('footercolumnmiddledisplay', 'theme_unige');
    $description = get_string('footercolumnmiddledisplay_desc', 'theme_unige');
    $default = "0";
    $setting = new admin_setting_configcheckbox($name, $title, $description, $default);
    $setting->set_updatedcallback('theme_reset_all_caches');
    $page->add($setting);

    // Column middle links
    $name = 'theme_unige/footer_column_middle';
    $title = get_string('footercolumnmiddle', 'theme_unige');
    $description = get_string('footercolumnmiddle_desc', 'theme_unige');
    $default = "";
    $setting = new admin_setting_configtextarea($name, $title, $description, $default);
    $setting->set_updatedcallback('theme_reset_all_caches');
    $page->add($setting);

    // Column right iOS app url
    $name = 'theme_unige/footer_column_right_app_ios_url';
    $title = get_string('footercolumnrightappiosurl', 'theme_unige');
    $description = get_string('footercolumnrightappiosurl_desc', 'theme_unige');
    $default = "https://www.unige.ch/";
    $setting = new admin_setting_configtext($name, $title, $description, $default);
    $setting->set_updatedcallback('theme_reset_all_caches');
    $page->add($setting);

    // Column right Android app url
    $name = 'theme_unige/footer_column_right_app_android_url';
    $title = get_string('footercolumnrightappandroidurl', 'theme_unige');
    $description = get_string('footercolumnrightappandroidurl_desc', 'theme_unige');
    $default = "https://www.unige.ch/";
    $setting = new admin_setting_configtext($name, $title, $description, $default);
    $setting->set_updatedcallback('theme_reset_all_caches');
    $page->add($setting);

    $settings->add($page);

    // Advanced settings
    $page = new admin_settingpage('theme_unige_advanced', get_string('advancedsettings', 'theme_unige'));

    // Raw SCSS to include before the content
    $setting = new admin_setting_scsscode('theme_unige/scsspre',
        get_string('rawscsspre', 'theme_unige'), get_string('rawscsspre_desc', 'theme_unige'), '', PARAM_RAW);
    $setting->set_updatedcallback('theme_reset_all_caches');
    $page->add($setting);

    // Raw SCSS to include after the content
    $setting = new admin_setting_scsscode('theme_unige/scss', get_string('rawscss', 'theme_unige'),
        get_string('rawscss_desc', 'theme_unige'), '', PARAM_RAW);
    $setting->set_updatedcallback('theme_reset_all_caches');
    $page->add($setting);

    $settings->add($page);
}
